Subject: Re: [sfc] Mirja Kühlewind's Discuss on draft-farrel-sfc-convent-05: (with DISCUSS and COMMENT)

From: Alia Atlas <[email-masked]>
Date: Fri, 9 Mar 2018 15:58:30 -0500

Hi Mirja,

I believe that version draft-farrel-sfc-convent-06 addresses your Discuss.
Could you please take a look?

I'd like to get this sent off to the RFC Editor before Weds of IETF week,
of course.

Thanks,
Alia

On Thu, Feb 8, 2018 at 3:46 PM, Adrian Farrel <[email-masked]> wrote:

> Thanks Martin and Mirja,
>
> > and it is probably explicitly noteworthy that one incoming packet can
> > trigger one (or even multiple ?) new packet which may increase the
> > number of packets related to the incoming flow by a factor of 2.
>
> Well, it might be possible to create a use case that does that. OAM, for
> example, might cause a one-for-one copy. But one might as well say that
> this is a concern with IP because the payload protocol might result in one
> packet creating multiple replies.
>
> But since this document is somewhat open-ended about how the is used, we
> should certainly flag up the concern with two mitigations:
> 1. Applications using this mechanism should be careful about this issue
> 2. Implementations should rate limit to:
>   a. Protect against simple volume attacks (and accidents)
>   b. Protect against amplification
>
> I'll send some text SOON.
>
> Cheers,
> Adrian
>
>